Permalink
Browse files

Removed Public template file from app

  • Loading branch information...
1 parent e57a2fd commit 5862682b278d8a64dbe2aa333d7f216e3826241f @razanmjn committed Mar 1, 2012
Showing with 252 additions and 327 deletions.
  1. +196 −1 Gemfile
  2. +56 −2 Gemfile.lock
  3. +0 −26 public/404.html
  4. +0 −26 public/422.html
  5. +0 −26 public/500.html
  6. 0 public/favicon.ico
  7. +0 −241 public/index.html
  8. +0 −5 public/robots.txt
View
197 Gemfile
@@ -5,8 +5,16 @@ gem 'rails', '3.1.3'
# Bundle edge Rails instead:
# gem 'rails', :git => 'git://github.com/rails/rails.git'
-gem 'sqlite3'
+# Authentication
+gem 'devise'
+##Database
+gem 'mongoid', '2.3.4'
+# gem 'bson_ext', '~> 1.4.0'
+# gem 'hiredis', '~> 0.4.4'
+# gem 'redis', :git => 'https://github.com/ezmobius/redis-rb.git', :ref => 'e9e17d65b9c5', :require => ["redis", "redis/connection/hiredis"]
+# gem 'redis-store'
+# gem 'statsd-ruby', :git => 'git://github.com/reinh/statsd.git', :require => 'statsd'
# Gems used only for assets and not required
# in production environments by default.
@@ -31,6 +39,193 @@ gem 'jquery-rails'
# gem 'ruby-debug19', :require => 'ruby-debug'
group :test do
+
+ # for testing
+ gem 'spork', '~> 0.9.0.rc9'
+
+ # For test cases
+ gem 'factory_girl_rails', '~> 1.4.0', :require => false
+
+ #For debugging purpose
+ gem 'pry'
+ gem 'pry-nav'
+
+ # For writing tests
+ gem 'rspec-rails'
+
# Pretty printed test output
gem 'turn', '~> 0.8.3', :require => false
end
+
+# #########################
+#
+# gem 'ruby-aws'
+# gem 'aws-s3', :require => 'aws/s3'
+# gem 'fog', "~> 1.1.1"
+#
+# #Web Server
+# gem 'unicorn'
+#
+# #Authentication
+# gem 'devise'
+# gem 'shikashi'
+#
+# #Background Processing
+# gem 'resque', :require => 'resque/server', :git => 'git://github.com/sprout/resque.git', :ref => '45dd43ede4'
+# gem 'resque-retry'
+# gem 'resque-status'
+# gem 'resque_mailer'
+# gem 'rufus-scheduler'
+#
+# #Pagination
+# gem 'kaminari'
+#
+# #HTML parsing
+# gem 'nokogiri'
+# gem 'mechanize'
+#
+# #JSON parsers
+# gem 'yajl-ruby'
+# gem 'json'
+#
+# #Graphics
+# gem 'rmagick', :require => 'RMagick'
+#
+# #HTTP client
+# gem 'httparty'
+#
+# #Rack
+# gem 'rack-throttle', :git => 'git://github.com/sprout/rack-throttle.git'
+#
+# #Caching
+# gem 'rack-cache', :require => 'rack/cache'
+#
+# #Validation
+# gem 'validates_timeliness'
+#
+# #File Uploads
+# gem 'carrierwave'
+# gem 'carrierwave-mongoid', :require => 'carrierwave/mongoid'
+# gem 'remotipart', '~> 1.0'
+#
+# #Spreadsheet
+# gem 'roo'
+# gem 'spreadsheet'
+# gem 'google-spreadsheet-ruby', :require => 'google_spreadsheet'
+#
+# #Rails Form Builder
+# gem 'simple_form'
+#
+# #Template Engine
+# gem 'mustache'
+#
+# #CloudFactory
+# gem 'unit_validator', '>=0.4.15', :git => 'git@github.com:sprout/unit_validator.git'
+#
+# gem 'rails_autolink'
+#
+# #ROBOTS
+# gem 'easy_translate'
+# gem 'alchemy_api', :git => 'git://github.com/dipeshgtm/alchemy_api.git'
+# gem 'twitter', '~> 2.0.0'
+# gem 'twitter_oauth'
+# gem 'twilio-ruby'
+# gem 'docsplit'
+# gem 'rqrcode_png'
+# # gem 'zxing'
+# gem 'libv8'
+#
+# gem 'socky-client', '0.5.0.beta1', :require => false
+#
+# #Geckoboard
+# gem 'chameleon'
+# gem 'hashie'
+# gem 'stateflow', :git => 'git://github.com/zerobearing2/stateflow.git'
+# gem 'sendgrid'
+# gem 'streamio-ffmpeg', :git => 'git@github.com:krishna-shilpakar/streamio-ffmpeg.git'
+# gem 'rabl'
+# gem 'useragent'
+# #gem 'hoptoad_notifier'
+# gem "airbrake"
+# gem 'rpm_contrib'
+#
+# gem 'dalli'
+#
+# gem 'httplog', :require => false
+#
+# gem 'jquery-rails', '>= 1.0.12'
+#
+# group :assets do
+# gem 'compass', '~> 0.12.alpha'
+# gem 'sass-rails', '~> 3.1.4'
+# gem 'coffee-rails', '~> 3.1.1'
+# gem 'uglifier', '>= 1.0.3'
+# gem 'therubyracer'
+# end
+#
+# group :development, :test do
+# gem 'pry'
+# gem 'pry-nav'
+# # gem 'pry-doc'
+# gem 'awesome_print', :require => 'ap'
+# gem 'hirb', :require => false
+# gem 'itslog'
+# # if RUBY_VERSION < '1.9'
+# # gem "ruby-debug"#, ">= 0.10.3"
+# # elsif RUBY_VERSION == '1.9.3'
+# # gem 'ruby-debug-base19', '~> 0.11.26'
+# # else
+# # gem "ruby-debug19", :require => 'ruby-debug'
+# # end
+# gem 'rspec-rails'
+#
+# if RUBY_PLATFORM =~ /darwin/i
+# gem 'autotest-rails'
+# gem 'autotest-growl'
+# gem 'autotest-fsevent'
+# ##### for GUARD #####
+# gem 'rb-fsevent'
+# gem 'growl'
+# gem 'guard'
+# gem 'guard-bundler'
+# gem 'guard-spork'
+# gem 'guard-rspec'
+# gem 'guard-rails'
+# gem 'guard-livereload'
+# ##### END GUARD #####
+# end
+# end
+#
+# group :development do
+# gem 'foreman'
+# gem 'capistrano'
+# gem 'capistrano-ext'
+# # this gem get conflict with shikashi run method so commented
+# #gem 'rails_best_practices'
+# gem 'mail_view', :git => 'git://github.com/37signals/mail_view.git'
+# gem 'rails-dev-boost', :git => 'git://github.com/thedarkone/rails-dev-boost.git', :require => 'rails_development_boost'
+# gem 'mongodb_logger'
+# end
+#
+# group :test do
+# gem 'ffaker'
+# gem 'factory_girl_rails', '~> 1.4.0', :require => false
+# gem 'database_cleaner'
+# gem 'spork', '~> 0.9.0.rc9'
+# gem 'launchy'
+# gem 'capybara'
+# # gem 'capybara-webkit', :git => 'git://github.com/thoughtbot/capybara-webkit.git'
+# gem 'mongoid-rspec'
+# # gem 'metrical', :require => false
+# gem 'simplecov', :require => false
+# gem 'timecop'
+# gem 'mocha'
+# gem 'accept_values_for'
+# gem 'selenium-webdriver'
+# gem 'capybara-firebug'
+# gem 'rspec-cells'
+# gem 'timed_specs'
+# end
+#
+# group :darwin do
+# end
View
@@ -31,17 +31,30 @@ GEM
multi_json (~> 1.0)
ansi (1.4.2)
arel (2.2.3)
+ bcrypt-ruby (3.0.1)
+ bson (1.5.2)
builder (3.0.0)
+ coderay (0.9.8)
coffee-rails (3.1.1)
coffee-script (>= 2.2.0)
railties (~> 3.1.0)
coffee-script (2.2.0)
coffee-script-source
execjs
coffee-script-source (1.2.0)
+ devise (1.5.3)
+ bcrypt-ruby (~> 3.0)
+ orm_adapter (~> 0.0.3)
+ warden (~> 1.1)
+ diff-lcs (1.1.3)
erubis (2.7.0)
execjs (1.3.0)
multi_json (~> 1.0)
+ factory_girl (2.3.2)
+ activesupport
+ factory_girl_rails (1.4.0)
+ factory_girl (~> 2.3.0)
+ railties (>= 3.0.0)
hike (1.2.1)
i18n (0.6.0)
jquery-rails (1.0.19)
@@ -52,9 +65,25 @@ GEM
i18n (>= 0.4.0)
mime-types (~> 1.16)
treetop (~> 1.4.8)
+ method_source (0.6.7)
+ ruby_parser (>= 2.3.1)
mime-types (1.17.2)
+ mongo (1.5.2)
+ bson (= 1.5.2)
+ mongoid (2.3.4)
+ activemodel (~> 3.1)
+ mongo (~> 1.3)
+ tzinfo (~> 0.3.22)
multi_json (1.1.0)
+ orm_adapter (0.0.5)
polyglot (0.3.3)
+ pry (0.9.7.4)
+ coderay (~> 0.9.8)
+ method_source (~> 0.6.7)
+ ruby_parser (>= 2.3.1)
+ slop (~> 2.1.0)
+ pry-nav (0.0.4)
+ pry (~> 0.9.7.4)
rack (1.3.6)
rack-cache (1.1)
rack (>= 0.4)
@@ -82,17 +111,34 @@ GEM
rake (0.9.2.2)
rdoc (3.12)
json (~> 1.4)
+ rspec (2.7.0)
+ rspec-core (~> 2.7.0)
+ rspec-expectations (~> 2.7.0)
+ rspec-mocks (~> 2.7.0)
+ rspec-core (2.7.1)
+ rspec-expectations (2.7.0)
+ diff-lcs (~> 1.1.2)
+ rspec-mocks (2.7.0)
+ rspec-rails (2.7.0)
+ actionpack (~> 3.0)
+ activesupport (~> 3.0)
+ railties (~> 3.0)
+ rspec (~> 2.7.0)
+ ruby_parser (2.3.1)
+ sexp_processor (~> 3.0)
sass (3.1.15)
sass-rails (3.1.5)
actionpack (~> 3.1.0)
railties (~> 3.1.0)
sass (~> 3.1.10)
tilt (~> 1.3.2)
+ sexp_processor (3.0.9)
+ slop (2.1.0)
+ spork (0.9.0.rc9)
sprockets (2.0.3)
hike (~> 1.2)
rack (~> 1.0)
tilt (~> 1.1, != 1.3.0)
- sqlite3 (1.3.5)
thor (0.14.6)
tilt (1.3.3)
treetop (1.4.10)
@@ -104,15 +150,23 @@ GEM
uglifier (1.2.3)
execjs (>= 0.3.0)
multi_json (>= 1.0.2)
+ warden (1.1.0)
+ rack (>= 1.0)
PLATFORMS
ruby
DEPENDENCIES
coffee-rails (~> 3.1.1)
+ devise
+ factory_girl_rails (~> 1.4.0)
jquery-rails
+ mongoid (= 2.3.4)
+ pry
+ pry-nav
rails (= 3.1.3)
+ rspec-rails
sass-rails (~> 3.1.5)
- sqlite3
+ spork (~> 0.9.0.rc9)
turn (~> 0.8.3)
uglifier (>= 1.0.3)
View
@@ -1,26 +0,0 @@
-<!DOCTYPE html>
-<html>
-<head>
- <title>The page you were looking for doesn't exist (404)</title>
- <style type="text/css">
- body { background-color: #fff; color: #666; text-align: center; font-family: arial, sans-serif; }
- div.dialog {
- width: 25em;
- padding: 0 4em;
- margin: 4em auto 0 auto;
- border: 1px solid #ccc;
- border-right-color: #999;
- border-bottom-color: #999;
- }
- h1 { font-size: 100%; color: #f00; line-height: 1.5em; }
- </style>
-</head>
-
-<body>
- <!-- This file lives in public/404.html -->
- <div class="dialog">
- <h1>The page you were looking for doesn't exist.</h1>
- <p>You may have mistyped the address or the page may have moved.</p>
- </div>
-</body>
-</html>
View
@@ -1,26 +0,0 @@
-<!DOCTYPE html>
-<html>
-<head>
- <title>The change you wanted was rejected (422)</title>
- <style type="text/css">
- body { background-color: #fff; color: #666; text-align: center; font-family: arial, sans-serif; }
- div.dialog {
- width: 25em;
- padding: 0 4em;
- margin: 4em auto 0 auto;
- border: 1px solid #ccc;
- border-right-color: #999;
- border-bottom-color: #999;
- }
- h1 { font-size: 100%; color: #f00; line-height: 1.5em; }
- </style>
-</head>
-
-<body>
- <!-- This file lives in public/422.html -->
- <div class="dialog">
- <h1>The change you wanted was rejected.</h1>
- <p>Maybe you tried to change something you didn't have access to.</p>
- </div>
-</body>
-</html>
Oops, something went wrong.

0 comments on commit 5862682

Please sign in to comment.